export function $classOf(arg: any): any;
export function $isString(arg: any): arg is string;
export function $isNumber(arg: any): arg is number;
export function $isObject(arg: any): arg is Record<string, any>;
export const $isArray: (arg: any) => arg is any[];
export function $in(key: any, ref: any): boolean;
export function $eq(x: any, y: any): boolean;
export const $h: {
    <T extends keyof HTMLElementTagNameMap>(e: T, keys?: $Keys, ...items: $HItem[]): HTMLElementTagNameMap[T];
    <E extends HTMLElement>(e: E, keys?: $Keys, ...items: $HItem[]): E;
    (e: $HElement, keys?: $Keys, ...items: $HItem[]): HTMLElement | ShadowRoot;
};
export const $s: {
    <T extends keyof SVGElementTagNameMap>(e: T, keys?: $Keys, ...items: $SItem[]): SVGElementTagNameMap[T];
    <E extends SVGElement>(e: E, keys?: $Keys, ...items: $SItem[]): E;
    (e: $SElement, keys?: $Keys, ...items: $SItem[]): SVGElement;
};
export function $c(style: $CSS, splitter?: string): string;
export function $highlight(pattern: RegExp, highlighters: ((chunk: string, index: number) => $HItem)[], innerText: string): $HItem[];
export function $locale(locales: Record<string, Record<string, string | Record<string, string>>>, defaultLanguage: string, languages?: readonly string[]): (text?: string | undefined, version?: string | undefined) => string;
export type $HElement = keyof HTMLElementTagNameMap | HTMLElement | ShadowRoot;
export type $Keys = Record<string, any>;
export type $HItem = $HElement | Text | SVGElement | string | number | [$HElement, $Keys, ...$HItem[]];
export type $HConfig = [$HElement, $Keys, ...$HItem[]];
export type $SElement = keyof SVGElementTagNameMap | SVGElement;
export type $SItem = $SElement | Text | string | number | [$SElement, $Keys, ...$SItem[]];
export type $SConfig = [$SElement, $Keys, ...$SItem[]];
export type $CSSRules = {
    [attributeOrSelector: string]: string | number | $CSSRules;
};
export type $CSS = {
    [selector: string]: $CSSRules;
};
